Words that rhyme (perfect and near rhymes)
Returns words that rhyme with the given word. Set near=true for near (slant) rhymes.
Request
GEThttps://english-dictionary.p.apihiver.com/v1/rhymes/cat
Boolean. Include near rhymes (default
false). Number. Maximum number of results (1–100, default
20). Language
Client
1curl --request GET \
2 --url 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D' \
3 --header 'Accept: application/json' \
4 --header 'X-API-Key: YOUR_API_KEY'Words that rhyme (perfect and near rhymes): English Dictionary API reference
Returns words that rhyme with the given word. Set `near=true` for near (slant) rhymes. This endpoint is part of the English Dictionary API: English definitions, synonyms, antonyms, rhymes, 'words that mean…' and autocomplete — fast and fully offline.
Words that rhyme (perfect and near rhymes): example requests in every language
GET /v1/rhymes/{word} in Shell (cURL)
curl --request GET \
--url 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D' \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY'GET /v1/rhymes/{word} in Shell (HTTPie)
http GET 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D' \
Accept:application/json \
X-API-Key:YOUR_API_KEYGET /v1/rhymes/{word} in Shell (Wget)
wget --quiet \
--method GET \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--output-document \
- 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D'GET /v1/rhymes/{word} in Node.js (http)
const http = require('https');
const options = {
method: 'GET',
hostname: 'english-dictionary.p.apihiver.com',
port: null,
path: '/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D',
headers: {
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();GET /v1/rhymes/{word} in Node.js (Request)
const request = require('request');
const options = {
method: 'GET',
url: 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat',
qs: {near: '{near}', limit: '{limit}'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});GET /v1/rhymes/{word} in Node.js (Unirest)
const unirest = require('unirest');
const req = unirest('GET', 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat');
req.query({
near: '{near}',
limit: '{limit}'
});
req.headers({
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
});
req.end(function (res) {
if (res.error) throw new Error(res.error);
console.log(res.body);
});GET /v1/rhymes/{word} in Node.js (Axios)
const axios = require('axios').default;
const options = {
method: 'GET',
url: 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat',
params: {near: '{near}', limit: '{limit}'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/rhymes/{word} in Node.js (Fetch)
const fetch = require('node-fetch');
const url = 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D';
const options = {
method: 'GET',
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/rhymes/{word} in JavaScript (XMLHttpRequest)
const data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener('readystatechange', function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open('GET', 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D');
xhr.setRequestHeader('Accept', 'application/json');
xhr.setRequestHeader('X-API-Key', 'YOUR_API_KEY');
xhr.send(data);GET /v1/rhymes/{word} in JavaScript (Axios)
import axios from 'axios';
const options = {
method: 'GET',
url: 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat',
params: {near: '{near}', limit: '{limit}'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/rhymes/{word} in JavaScript (Fetch)
const url = 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D';
const options = {
method: 'GET',
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/rhymes/{word} in JavaScript (jQuery)
const settings = {
async: true,
crossDomain: true,
url: 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D',
method: 'GET',
headers: {
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
$.ajax(settings).done(function (response) {
console.log(response);
});GET /v1/rhymes/{word} in Python (http.client)
import http.client
conn = http.client.HTTPSConnection("english-dictionary.p.apihiver.com")
headers = {
'Accept': "application/json",
'X-API-Key': "YOUR_API_KEY"
}
conn.request("GET", "/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))GET /v1/rhymes/{word} in Python (Requests)
import requests
url = "https://english-dictionary.p.apihiver.com/v1/rhymes/cat"
querystring = {"near":"{near}","limit":"{limit}"}
headers = {
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())GET /v1/rhymes/{word} in PHP (cURL)

GET /v1/rhymes/{word} in Swift (NSURLSession)
import Foundation
let headers = [
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
]
let request = NSMutableURLRequest(url: NSURL(string: "https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()GET /v1/rhymes/{word} in Objective-C (NSURLSession)
#import <Foundation/Foundation.h>
NSDictionary *headers = @{ @"Accept": @"application/json",
@"X-API-Key": @"YOUR_API_KEY" };
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D"]
cachePolicy:NSURLRequestUseProtocolCachePolicy
timeoutInterval:10.0];
[request setHTTPMethod:@"GET"];
[request setAllHTTPHeaderFields:headers];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *dataTask = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"%@", error);
} else {
NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
NSLog(@"%@", httpResponse);
}
}];
[dataTask resume];GET /v1/rhymes/{word} in Kotlin (OkHttp)
val client = OkHttpClient()
val request = Request.Builder()
.url("https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D")
.get()
.addHeader("Accept", "application/json")
.addHeader("X-API-Key", "YOUR_API_KEY")
.build()
val response = client.newCall(request).execute()GET /v1/rhymes/{word} in C (libcurl)
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_URL, "https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Accept: application/json");
headers = curl_slist_append(headers, "X-API-Key: YOUR_API_KEY");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);GET /v1/rhymes/{word} in Clojure (clj-http)
(require '[clj-http.client :as client])
(client/get "https://english-dictionary.p.apihiver.com/v1/rhymes/cat" {:headers {:X-API-Key "YOUR_API_KEY"}
:query-params {:near "{near}"
:limit "{limit}"}
:accept :json})GET /v1/rhymes/{word} in OCaml (CoHTTP)
open Cohttp_lwt_unix
open Cohttp
open Lwt
let uri = Uri.of_string "https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D" in
let headers = Header.add_list (Header.init ()) [
("Accept", "application/json");
("X-API-Key", "YOUR_API_KEY");
] in
Client.call ~headers `GET uri
>>= fun (res, body_stream) ->
(* Do stuff with the result *)GET /v1/rhymes/{word} in R (httr)
library(httr)
url <- "https://english-dictionary.p.apihiver.com/v1/rhymes/cat"
queryString <- list(
near = "{near}",
limit = "{limit}"
)
response <- VERB("GET", url, query = queryString, add_headers('X-API-Key' = 'YOUR_API_KEY'), content_type(""), accept("application/json"))
content(response, "text")GET /v1/rhymes/{word} in PowerShell (Invoke-WebRequest)
$headers=@{}
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-WebRequest -Uri 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D' -Method GET -Headers $headersGET /v1/rhymes/{word} in PowerShell (Invoke-RestMethod)
$headers=@{}
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-RestMethod -Uri 'https://english-dictionary.p.apihiver.com/v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D' -Method GET -Headers $headersGET /v1/rhymes/{word} in HTTP (HTTP/1.1)
GET /v1/rhymes/cat?near=%7Bnear%7D&limit=%7Blimit%7D HTTP/1.1
Accept: application/json
X-Api-Key: YOUR_API_KEY
Host: english-dictionary.p.apihiver.com
Example response (200, application/json)
Success.
1{
2 "word": "cat",
3 "rhymes": [
4 {
5 "word": "flat",
6 "syllables": 1
7 },
8 {
9 "word": "caveat",
10 "syllables": 3
11 },
12 {
13 "word": "brat",
14 "syllables": 1
15 }
16 ]
17}Errors
- 400 — A required parameter is missing or a value has the wrong format.
1{ 2 "error": { 3 "code": "INVALID_INPUT", 4 "message": "Send a single English word or short phrase (letters, spaces, hyphens)." 5 } 6}
Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.
Other English Dictionary API endpoints
- GETDefinitions, examples, synonyms and antonyms of an English word
- GETBroader (hypernym) and narrower (hyponym) words — e.g. dog → canine / puppy
- GETWords with a similar meaning to a word or phrase (reverse dictionary)
- GETSpelling-tolerant word suggestions as the user types
English Dictionary API pricing →·English Dictionary API overview →